Skip to navigation

Batch update points

Batch updates points, including their respective vectors and payloads.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection to apply operations on

Query parameters

waitbooleanOptional
If true, wait for changes to actually happen
orderingenumOptional
define ordering guarantees for the operation
Allowed values:

Request

update operations
operationslist of objectsRequired

Response

successful operation
timefloatOptional
Time spent to process this request
statusstringOptional
resultlist of objectsOptional

Errors

4XX
Client Request Error